harmony-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Alexei Fedotov" <alexei.fedo...@gmail.com>
Subject Re: [testing][EHWA-API] setup is broken?
Date Mon, 12 May 2008 14:03:08 GMT
Stepan,

The root stack trace reads:
> Cannot create configuration in file:/C:/cc/i1.6/tmp/drlvm/build/windows_x86_msvc_debug/tests/ehwa/eclipse/configuration/

Does the directory exist? Do you have enough disk space?

Thanks!


On Mon, May 12, 2008 at 12:06 PM, Stepan Mishura
<stepan.mishura@gmail.com> wrote:
> Hi,
>
> Currently I'm trying to setup/run EHWA-API on fresh workspace and the
> scenario doesn't work for me. I did the next: check out classlib,
> drlvm and common_resources, build classlib and then drlvm. After that
> I typed in DRLVM workspace 'ant ehwa.test' and saw the log below. From
> the first glance the scenario's setup is broken - I guess that Eclipse
> was incorrectly configured. Could anyone try to reproduce and help to
> fix it?
>
> <SNIP>
>
> -run-ehwa-batch:
>    [mkdir] Created dir: C:\cc\i1.6\tmp\drlvm\build\windows_x86_msvc_debug\tests
> \ehwa\wksp
>     [echo]
>     [echo]         ==================================
>     [echo]         Run Eclipse HelloWorld using Client mode JIT (default)
>     [echo]         ==================================
>     [echo]
>     [java] !SESSION 2008-05-12 13:12:42.401 -----------------------------------
> ------------
>     [java] eclipse.buildId=M20060921-0945
>     [java] java.version=1.5.0
>     [java] java.vendor=Apache Software Foundation
>     [java] BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US
>     [java] Framework arguments:  -application org.eclipse.test.uitestapplicatio
> n formatter=org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatt
> er -testPluginName HelloAuto -className HelloAuto.CreateAndRunTest
>     [java] Command-line arguments:  -application org.eclipse.test.uitestapplica
> tion -dev bin -consolelog -data C:\cc\i1.6\tmp\drlvm\build\windows_x86_msvc_debu
> g\tests\ehwa/wksp formatter=org.apache.tools.ant.taskdefs.optional.junit.PlainJU
> nitResultFormatter -testPluginName HelloAuto -className HelloAuto.CreateAndRunTe
> st
>
>     [java] !ENTRY org.eclipse.update.configurator 4 0 2008-05-12 13:13:00.041
>     [java] !MESSAGE FrameworkEvent.ERROR
>     [java] !STACK 0
>     [java] org.osgi.framework.BundleException: Exception in org.eclipse.update.
> internal.configurator.ConfigurationActivator.start() of bundle org.eclipse.updat
> e.configurator.
>     [java]     at org.eclipse.osgi.framework.internal.core.BundleContextImpl.st
> artActivator(BundleContextImpl.java:1010)
>     [java]     at org.eclipse.osgi.framework.internal.core.BundleContextImpl.st
> art(BundleContextImpl.java:966)
>     [java]     at org.eclipse.osgi.framework.internal.core.BundleHost.startWork
> er(BundleHost.java:317)
>     [java]     at org.eclipse.osgi.framework.internal.core.AbstractBundle.resum
> e(AbstractBundle.java:329)
>     [java]     at org.eclipse.osgi.framework.internal.core.Framework.resumeBund
> le(Framework.java:1037)
>     [java]     at org.eclipse.osgi.framework.internal.core.StartLevelManager.re
> sumeBundles(StartLevelManager.java:573)
>     [java]     at org.eclipse.osgi.framework.internal.core.StartLevelManager.in
> cFWSL(StartLevelManager.java:495)
>     [java]     at org.eclipse.osgi.framework.internal.core.StartLevelManager.do
> SetStartLevel(StartLevelManager.java:275)
>     [java]     at org.eclipse.osgi.framework.internal.core.StartLevelManager.di
> spatchEvent(StartLevelManager.java:455)
>     [java]     at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEven
> t(EventManager.java:189)
>     [java]     at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.
> run(EventManager.java:291)
>     [java] Caused by: org.eclipse.core.runtime.CoreException: Cannot create con
> figuration in file:/C:/cc/i1.6/tmp/drlvm/build/windows_x86_msvc_debug/tests/ehwa
> /eclipse/configuration/
>     [java]     at org.eclipse.update.internal.configurator.Utils.newCoreExcepti
> on(Utils.java:85)
>     [java]     at org.eclipse.update.internal.configurator.ConfigurationActivat
> or.initialize(ConfigurationActivator.java:113)
>     [java]     at org.eclipse.update.internal.configurator.ConfigurationActivat
> or.start(ConfigurationActivator.java:71)
>     [java]     at org.eclipse.osgi.framework.internal.core.BundleContextImpl$2.
> run(BundleContextImpl.java:991)
>     [java]     at java.security.AccessController.doPrivilegedImpl(AccessControl
> ler.java:112)
>     [java]     at java.security.AccessController.doPrivileged(AccessController.
> java:75)
>     [java]     at org.eclipse.osgi.framework.internal.core.BundleContextImpl.st
> artActivator(BundleContextImpl.java:985)
>     [java]     at org.eclipse.osgi.framework.internal.core.BundleContextImpl.st
> art(BundleContextImpl.java:966)
>     [java]     ... 9 more
>     [java] Root exception:
>     [java] org.eclipse.core.runtime.CoreException: Cannot create configuration
> in file:/C:/cc/i1.6/tmp/drlvm/build/windows_x86_msvc_debug/tests/ehwa/eclipse/co
> nfiguration/
>     [java]     at org.eclipse.update.internal.configurator.Utils.newCoreExcepti
> on(Utils.java:85)
>     [java]     at org.eclipse.update.internal.configurator.ConfigurationActivat
> or.initialize(ConfigurationActivator.java:113)
>     [java]     at org.eclipse.update.internal.configurator.ConfigurationActivat
> or.start(ConfigurationActivator.java:71)
>     [java]     at org.eclipse.osgi.framework.internal.core.BundleContextImpl$2.
> run(BundleContextImpl.java:991)
>     [java]     at java.security.AccessController.doPrivilegedImpl(AccessControl
> ler.java:112)
>     [java]     at java.security.AccessController.doPrivileged(AccessController.
> java:75)
>     [java]     at org.eclipse.osgi.framework.internal.core.BundleContextImpl.st
> artActivator(BundleContextImpl.java:985)
>     [java]     at org.eclipse.osgi.framework.internal.core.BundleContextImpl.st
> art(BundleContextImpl.java:966)
>     [java]     at org.eclipse.osgi.framework.internal.core.BundleHost.startWork
> er(BundleHost.java:317)
>     [java]     at org.eclipse.osgi.framework.internal.core.AbstractBundle.resum
> e(AbstractBundle.java:329)
>     [java]     at org.eclipse.osgi.framework.internal.core.Framework.resumeBund
> le(Framework.java:1037)
>     [java]     at org.eclipse.osgi.framework.internal.core.StartLevelManager.re
> sumeBundles(StartLevelManager.java:573)
>     [java]     at org.eclipse.osgi.framework.internal.core.StartLevelManager.in
> cFWSL(StartLevelManager.java:495)
>     [java]     at org.eclipse.osgi.framework.internal.core.StartLevelManager.do
> SetStartLevel(StartLevelManager.java:275)
>     [java]     at org.eclipse.osgi.framework.internal.core.StartLevelManager.di
> spatchEvent(StartLevelManager.java:455)
>     [java]     at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEven
> t(EventManager.java:189)
>     [java]     at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.
> run(EventManager.java:291)
>
>     [java] !ENTRY org.eclipse.core.runtime 4 0 2008-05-12 13:13:00.088
>     [java] !MESSAGE FrameworkEvent.ERROR
>     [java] !STACK 0
>     [java] org.osgi.framework.BundleException: The bundle could not be resolved
> . Reason: Missing Constraint: Require-Bundle: org.eclipse.core.jobs; bundle-vers
> ion="[3.2.0,4.0.0)"
>     [java]     at org.eclipse.osgi.framework.internal.core.BundleHost.startWork
> er(BundleHost.java:294)
>     [java]     at org.eclipse.osgi.framework.internal.core.AbstractBundle.resum
> e(AbstractBundle.java:329)
>     [java]     at org.eclipse.osgi.framework.internal.core.Framework.resumeBund
> le(Framework.java:1037)
>     [java]     at org.eclipse.osgi.framework.internal.core.StartLevelManager.re
> sumeBundles(StartLevelManager.java:573)
>     [java]     at org.eclipse.osgi.framework.internal.core.StartLevelManager.in
> cFWSL(StartLevelManager.java:495)
>     [java]     at org.eclipse.osgi.framework.internal.core.StartLevelManager.do
> SetStartLevel(StartLevelManager.java:275)
>     [java]     at org.eclipse.osgi.framework.internal.core.StartLevelManager.di
> spatchEvent(StartLevelManager.java:455)
>     [java]     at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEven
> t(EventManager.java:189)
>     [java]     at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.
> run(EventManager.java:291)
>
>     [java] !ENTRY org.eclipse.osgi 4 0 2008-05-12 13:13:00.135
>     [java] !MESSAGE Bundle initial@reference:file:plugins/org.eclipse.update.co
> nfigurator_3.2.1.v20092006.jar/ [2] is not active.
>
>     [java] !ENTRY org.eclipse.osgi 4 0 2008-05-12 13:13:00.135
>     [java] !MESSAGE Bundle initial@reference:file:plugins/org.eclipse.core.runt
> ime_3.2.0.v20060603.jar/ was not resolved.
>
>     [java] !ENTRY org.eclipse.osgi 2 0 2008-05-12 13:13:00.228
>     [java] !MESSAGE One or more bundles are not resolved because the following
> root constraints are not resolved:
>     [java] !SUBENTRY 1 org.eclipse.osgi 2 0 2008-05-12 13:13:00.228
>     [java] !MESSAGE Bundle initial@reference:file:plugins/org.eclipse.core.runt
> ime_3.2.0.v20060603.jar/ was not resolved.
>     [java] !SUBENTRY 2 org.eclipse.core.runtime 2 0 2008-05-12 13:13:00.228
>     [java] !MESSAGE Missing required bundle org.eclipse.equinox.registry_[3.2.0
> ,4.0.0).
>     [java] !SUBENTRY 2 org.eclipse.core.runtime 2 0 2008-05-12 13:13:00.228
>     [java] !MESSAGE Missing required bundle org.eclipse.core.jobs_[3.2.0,4.0.0)
> .
>     [java] !SUBENTRY 2 org.eclipse.core.runtime 2 0 2008-05-12 13:13:00.228
>     [java] !MESSAGE Missing required bundle org.eclipse.core.contenttype_[3.2.0
> ,4.0.0).
>     [java] !SUBENTRY 2 org.eclipse.core.runtime 2 0 2008-05-12 13:13:00.244
>     [java] !MESSAGE Missing required bundle org.eclipse.equinox.preferences_[3.
> 2.0,4.0.0).
>
>     [java] !ENTRY org.eclipse.osgi 2 0 2008-05-12 13:13:00.244
>     [java] !MESSAGE The following is a complete list of bundles which are not r
> esolved, see the prior log entry for the root cause if it exists:
>     [java] !SUBENTRY 1 org.eclipse.osgi 2 0 2008-05-12 13:13:00.244
>     [java] !MESSAGE Bundle initial@reference:file:plugins/org.eclipse.core.runt
> ime_3.2.0.v20060603.jar/ [3] was not resolved.
>     [java] !SUBENTRY 2 org.eclipse.core.runtime 2 0 2008-05-12 13:13:00.244
>     [java] !MESSAGE Missing required bundle org.eclipse.core.jobs_[3.2.0,4.0.0)
> .
>     [java] !SUBENTRY 2 org.eclipse.core.runtime 2 0 2008-05-12 13:13:00.244
>     [java] !MESSAGE Missing required bundle org.eclipse.equinox.registry_[3.2.0
> ,4.0.0).
>     [java] !SUBENTRY 2 org.eclipse.core.runtime 2 0 2008-05-12 13:13:00.244
>     [java] !MESSAGE Missing required bundle org.eclipse.equinox.preferences_[3.
> 2.0,4.0.0).
>     [java] !SUBENTRY 2 org.eclipse.core.runtime 2 0 2008-05-12 13:13:00.244
>     [java] !MESSAGE Missing required bundle org.eclipse.core.contenttype_[3.2.0
> ,4.0.0).
>     [java] !SUBENTRY 2 org.eclipse.core.runtime 2 0 2008-05-12 13:13:00.244
>     [java] !MESSAGE Missing optionally required bundle org.eclipse.core.runtime
> .compatibility.auth_[3.2.0,4.0.0).
>
>     [java] !ENTRY org.eclipse.osgi 4 0 2008-05-12 13:13:00.275
>     [java] !MESSAGE Application error
>     [java] !STACK 1
>     [java] java.lang.IllegalStateException: Unable to acquire application servi
> ce. Ensure that the org.eclipse.core.runtime bundle is resolved and started (see
>  config.ini).
>     [java]     at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.
> start(EclipseAppLauncher.java:65)
>     [java]     at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseSt
> arter.java:396)
>     [java]     at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseSt
> arter.java:177)
>     [java]     at java.lang.reflect.VMReflection.invokeMethod(VMReflection.java
> )
>     [java]     at java.lang.reflect.Method.invoke(Method.java:317)
>     [java]     at org.eclipse.core.launcher.Main.invokeFramework(Main.java:336)
>
>     [java]     at org.eclipse.core.launcher.Main.basicRun(Main.java:280)
>     [java]     at org.eclipse.core.launcher.Main.run(Main.java:977)
>     [java]     at org.eclipse.core.launcher.Main.main(Main.java:952)
>     [java]     at java.lang.reflect.VMReflection.invokeMethod(VMReflection.java
> )
>     [java]     at java.lang.reflect.Method.invoke(Method.java:317)
>     [java]     at org.apache.harmony.vm.JarRunner.main(JarRunner.java:89)
>
>     [java] !ENTRY org.eclipse.osgi 2 0 2008-05-12 13:13:00.291
>     [java] !MESSAGE One or more bundles are not resolved because the following
> root constraints are not resolved:
>     [java] !SUBENTRY 1 org.eclipse.osgi 2 0 2008-05-12 13:13:00.291
>     [java] !MESSAGE Bundle initial@reference:file:plugins/org.eclipse.core.runt
> ime_3.2.0.v20060603.jar/ was not resolved.
>     [java] !SUBENTRY 2 org.eclipse.core.runtime 2 0 2008-05-12 13:13:00.291
>     [java] !MESSAGE Missing required bundle org.eclipse.equinox.registry_[3.2.0
> ,4.0.0).
>     [java] !SUBENTRY 2 org.eclipse.core.runtime 2 0 2008-05-12 13:13:00.291
>     [java] !MESSAGE Missing required bundle org.eclipse.core.jobs_[3.2.0,4.0.0)
> .
>     [java] !SUBENTRY 2 org.eclipse.core.runtime 2 0 2008-05-12 13:13:00.291
>     [java] !MESSAGE Missing required bundle org.eclipse.core.contenttype_[3.2.0
> ,4.0.0).
>     [java] !SUBENTRY 2 org.eclipse.core.runtime 2 0 2008-05-12 13:13:00.291
>     [java] !MESSAGE Missing required bundle org.eclipse.equinox.preferences_[3.
> 2.0,4.0.0).
>
>     [java] !ENTRY org.eclipse.osgi 2 0 2008-05-12 13:13:00.291
>     [java] !MESSAGE The following is a complete list of bundles which are not r
> esolved, see the prior log entry for the root cause if it exists:
>     [java] !SUBENTRY 1 org.eclipse.osgi 2 0 2008-05-12 13:13:00.307
>     [java] !MESSAGE Bundle initial@reference:file:plugins/org.eclipse.core.runt
> ime_3.2.0.v20060603.jar/ [3] was not resolved.
>     [java] !SUBENTRY 2 org.eclipse.core.runtime 2 0 2008-05-12 13:13:00.307
>     [java] !MESSAGE Missing required bundle org.eclipse.core.jobs_[3.2.0,4.0.0)
> .
>     [java] !SUBENTRY 2 org.eclipse.core.runtime 2 0 2008-05-12 13:13:00.307
>     [java] !MESSAGE Missing required bundle org.eclipse.equinox.registry_[3.2.0
> ,4.0.0).
>     [java] !SUBENTRY 2 org.eclipse.core.runtime 2 0 2008-05-12 13:13:00.307
>     [java] !MESSAGE Missing required bundle org.eclipse.equinox.preferences_[3.
> 2.0,4.0.0).
>     [java] !SUBENTRY 2 org.eclipse.core.runtime 2 0 2008-05-12 13:13:00.307
>     [java] !MESSAGE Missing required bundle org.eclipse.core.contenttype_[3.2.0
> ,4.0.0).
>     [java] !SUBENTRY 2 org.eclipse.core.runtime 2 0 2008-05-12 13:13:00.307
>     [java] !MESSAGE Missing optionally required bundle org.eclipse.core.runtime
> .compatibility.auth_[3.2.0,4.0.0).
>     [java] Java Result: 13
> Duplicated project name in import. Project Common property definitions defined f
> irst in C:\cc\i1.6\tmp\common_resources\make\platform.xml and again in C:\cc\i1.
> 6\tmp\common_resources\make\properties.xml
>
> <SNIP>
>
> Thanks,
> Stepan.
>



-- 
With best regards,
Alexei

Mime
View raw message